\documentclass{beamer}
\mode<presentation>
{
  \usetheme{Pittsburgh}
  \usefonttheme{structurebold}
  % or ...

  \setbeamercovered{transparent}
  % or whatever (possibly just delete it)

  %remove navigation symbols
  \setbeamertemplate{navigation symbols}{}
}

\usepackage[english]{babel}
% or whatever

\usepackage[latin1]{inputenc}
% or whatever

\usepackage{times}
\usepackage[T1]{fontenc}
% Or whatever. Note that the encoding and the font should match. If T1
% does not look nice, try deleting the line with the fontenc.

\usepackage{graphicx}
\usepackage{url}

\title{Lernstick}
\subtitle{A Debian derivative for Schools in Switzerland}

\author[Gaudenz Steinlin]{Gaudenz Steinlin \\ \texttt{gaudenz@debian.org}}
\date[DebConf15]{DebConf 15 22. Aug 2015}

\newif\ifplacelogo % create a new conditional
\placelogotrue % set it to true
\logo{\ifplacelogo\includegraphics[height=2cm]{lernstick_usb}\fi}

\begin{document}

\begin{frame}
  \titlepage
\end{frame}

\begin{frame}
  \frametitle{Outline}
  \tableofcontents
\end{frame}

\section{Lernstick Overview}
\begin{frame}
  \frametitle{Project Goals}
  \begin{itemize}
  \item Mobile and secure learning environment
  \item Runs everywhere
  \item Low administrative overhead for schools
  \item Ready to use for (Swiss) schools
  \item Bring your own device (BYOD)
  \item Non technical End-User focus
  \item Stable base system + latest applications
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Project structure}
  \begin{itemize}
  \item Not much structure really
  \item Funded by the University of applied Sciences of Nortwestern
    Switzerland
    \begin{itemize}
    \item Free support for schools in Northwestern Switzerland
    \item Support contracts for other schools
    \end{itemize}
    \pause
  \item Two people working part-time on the project
    \begin{itemize}
    \item Ronny Standtke (Project founder)
    \item Gaudenz Steinlin (me ;-) )
    \end{itemize}
    \pause
  \item Not much infrastructure
    \begin{itemize}
    \item Package repository (reprepro)
    \item Download site for ISO images
    \item GIT repositories on Github
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Variants}
  \begin{itemize}
  \item Standard Lernstick (\textasciitilde  4.3G)
    \begin{itemize}
    \item Includes various Desktops (GNOME, KDE, XFCE, ...)
    \item As much software as fits into a DVD
    \item Open and unrestricted environment, students can
      examin the environment and learn from it
    \item Paswordless sudo root access by default
    \end{itemize}
    \pause
  \item Lernstick Exam Environment (\textasciitilde 2.0G)
    \begin{itemize}
    \item Restricted version for Exams
    \item Disables all access to internal and external devices
    \item Firewalled network
    \item Intended for Bring your own device exams
    \end{itemize}
    \pause
  \item Custom builds for support contract customers
    \begin{itemize}
    \item May include proprietary software
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Technical Overview}
  \begin{itemize}
  \item Mostly Debian
    \begin{itemize}
    \item Debian stable + Debian backports + Own backports + 3rd party
      packages + some Lernstick specific packages
    \item Based on Debian Live
    \item GNOME as default Desktop, others available 
    \end{itemize}
  \item Distributed as ISO image with highly compressed SquashFS
  \item Usually installed on a USB drive with a persistency partition
  \item i386 planing to move to amd64
  \item Trying to keep delta to Debian as small as possible
  \end{itemize}
\end{frame}

\placelogofalse

\begin{frame}
  \frametitle{Specific software -- DLCopy}
  \includegraphics[width=11cm]{dlcopy_overview}
\end{frame}

\begin{frame}
  \frametitle{Specific software -- DLCopy}
  \includegraphics[width=11cm]{dlcopy_install}
\end{frame}


\begin{frame}
  \frametitle{Specific software -- Lernstick Welcome}
  \includegraphics[width=11cm]{lernstickwelcome}
\end{frame}

\begin{frame}
  \frametitle{Specific software -- xmlboot}
  \includegraphics[width=11cm]{xmlboot}
\end{frame}

\placelogotrue

\begin{frame}
  \frametitle{Lernstick specific software}
  \begin{itemize}
  \item lernstick-guest
    \begin{itemize}
    \item Fast user switching
    \item Mounts the home folder from an external USB Stick and logs
      in the user
    \end{itemize}
    \pause
  \item lernstick-firewall
    \begin{itemize}
    \item Used in the Exam Environment
    \item Iptables and tinyproxy
    \item Simple interface in Lernstick Welcome to whitelist services
    \end{itemize}
    \pause
  \item JBackPack
    \begin{itemize}
    \item Simple backup GUI to rdiff-backup
    \end{itemize}
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Deviations from Debian}
  \begin{itemize}
  \item Non-free packages in base install (NVIDIA and ATI drivers,
    firmware)
    \begin{itemize}
    \item Some more non-free software installable in ``Lernstick Welcome''
    \end{itemize}
    \pause
  \item Optimizations for non technical users
    \begin{itemize}
    \item Mostly small things like desktop file changes, improved
      icons, internationalization
    \item Upstreamed by bug reports if applicable and accepted
    \end{itemize}
    \pause
  \item Live specific customizations
    \begin{itemize}
    \item Mostly fixups of hardware assumptions (eg. sound card
      configuration in /home)
    \end{itemize}
    \pause
  \item SecureBoot support
    \begin{itemize}
    \item Because our users don't know how and don't want to modify
      BIOS settings
    \item We have our own shim signed by Microsoft
    \item Willing to help to bring this to Debian if there is interest
    \end{itemize}
    \pause
  \end{itemize}
\end{frame}


\section{How to help - Improve collaboration with Debian}


\begin{frame}
  \frametitle{Improve collaboration}
  \begin{itemize}
  \item Collaboration with DebianEDU
    \pause
  \item Upload our stuff to Debian where possible
    \begin{itemize}
    \item lernstick-firewall, lernstick-guest, lernstick-keyring
    \item DLCopy, JBackPack and LernstickWelcome need cleanup first
      (Java :-( )
    \item Are packages only useful on a Lernstick system appropriate
      in Debian (eg. lernstick-config)?
    \item Some packages are hacks and probably not appropriate for
      Debian (eg. lernstick-desktop-diversions)
    \end{itemize}
    \pause
  \item Upload some/all of our backports to backports.debian.org
    \pause
  \item Make development process more transparent (wiki, TODO list, ...)
  \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{How to help}
  \begin{itemize}
  \item We always appreciate backports
  \item Advertize it in your school/community
  \item Some nice ideas for the future
    \begin{itemize}
    \item Replace xmlboot by a X11 programm running in the initrd
    \item Port live-boot to dracut and an event driven model
    \item Explore snapshot based approaches instead of Filesystem overlay
    \end{itemize}
  \end{itemize}
\end{frame}

\section{Questions}

\begin{frame}
\vspace{0cm}
\center{\textbf{\Huge Questions?}}
\end{frame}

\appendix

\begin{frame}
  \frametitle{References}
  \begin{itemize}
  \item Lernstick abstract in English:
    \url{http://www.imedias.ch/projekte/lernstick/lernstick_abstract_english.cfm}
  \item Lernstick Website (mostly German):
    \url{http://www.lernstick.ch/}
  \item Debian Derivatives Census (includes links to our repository
    and bug usertags):
    \url{https://wiki.debian.org/Derivatives/Census/Lernstick}
  \end{itemize}
  
\end{frame}
\end{document}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: t
%%% End: 
